=== modified file 'upgrade-maas-micro.bash' (properties changed: -x to +x)
--- upgrade-maas-micro.bash	2016-11-29 02:59:20 +0000
+++ upgrade-maas-micro.bash	2016-12-05 23:21:08 +0000
@@ -5,19 +5,34 @@
 # invalidate tests.
 
 set -eu
-
-POLICY=$(apt-cache policy maas | egrep '(Installed|Candidate)')
-INSTALLED=$(echo "$POLICY" | grep Installed | cut -d ' ' -f 4)
-CANDIDATE=$(echo "$POLICY" | grep Candidate | cut -d ' ' -f 4)
-INSTALLED_MINOR=$(echo "$INSTALLED" | cut -d '.' -f 1,2)
-CANDIDATE_MINOR=$(echo "$CANDIDATE" | cut -d '.' -f 1,2)
-
-if [[ "$INSTALLED_MINOR" != "$CANDIDATE_MINOR" ]]; then
-    echo "Refusing to upgrade from $INSTALLED_MINOR to $CANDIDATE_MINOR"
-    exit 0
-fi
-
-if [[ "$INSTALLED" != "$CANDIDATE" ]]; then
-    echo "Upgrading from $INSTALLED_MINOR to $CANDIDATE_MINOR"
-    sudo apt-get install -y maas=$CANDIDATE
-fi
+USER_AT_ADDRESS=$1
+
+
+upgrade_maas() {
+    set -eu
+    POLICY=$(apt-cache policy maas | egrep '(Installed|Candidate)')
+    INSTALLED=$(echo "$POLICY" | grep Installed | cut -d ' ' -f 4)
+    CANDIDATE=$(echo "$POLICY" | grep Candidate | cut -d ' ' -f 4)
+    INSTALLED_MINOR=$(echo "$INSTALLED" | cut -d '.' -f 1,2)
+    CANDIDATE_MINOR=$(echo "$CANDIDATE" | cut -d '.' -f 1,2)
+
+    echo "INSTALLED: $INSTALLED"
+    echo "CANDIDATE: $CANDIDATE"
+    echo "INSTALLED_MINOR: $INSTALLED_MINOR"
+    echo "CANDIDATE_MINOR: $CANDIDATE_MINOR"
+
+    if [[ "$INSTALLED_MINOR" != "$CANDIDATE_MINOR" ]]; then
+        echo "Refusing to upgrade from $INSTALLED_MINOR to $CANDIDATE_MINOR"
+        exit 0
+    fi
+
+    if [[ "$INSTALLED" != "$CANDIDATE" ]]; then
+        echo "Upgrading from $INSTALLED_MINOR to $CANDIDATE_MINOR"
+        sudo apt-get install -y maas=$CANDIDATE
+    else
+        echo "No upgrade available."
+    fi
+}
+
+
+ssh $USER_AT_ADDRESS "$(typeset -f upgrade_maas); upgrade_maas"

